import { jsx } from "react/jsx-runtime";
import { memo, useMemo } from "react";
import { CanvasEdge } from "./CanvasEdge.js";
import { areEdgePropsEqual } from "./shared/areEdgePropsEqual.js";
const SequenceEdge_SequenceEdge = /*#__PURE__*/ memo(function(props) {
    const data = useMemo(()=>{
        const { hideToolbar, ...rest } = props.data ?? {};
        return {
            routing: 'handle',
            enableExecution: true,
            enableToolbar: true !== hideToolbar,
            ...rest
        };
    }, [
        props.data
    ]);
    return /*#__PURE__*/ jsx(CanvasEdge, {
        ...props,
        data: data
    });
}, areEdgePropsEqual);
export { SequenceEdge_SequenceEdge as SequenceEdge };
